Help with installation

MagickWand for PHP is an object-oriented PHP interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning MagickWand for PHP.
Post Reply
Constantinff

Help with installation

Post by Constantinff » 2009-07-16T02:42:42-07:00

Hello everyone
Till now i run Debian server (Debian Lenny), and for some php applications i need ImageMagick
The server successfully runs PHP, MySQL and so on.
I installed ImageMageck with this tutorial:
http://www.imagemagick.org/script/insta ... e.php#unix
download and install this:
ftp://ftp.imagemagick.org/pub/ImageMagi ... ick.tar.gz
everything OK, and the "make check" PASSed
Now i need MagickWand for PHP,
i download it from here
http://www.magickwand.org/download/php/ ... 0.8.tar.gz
as i see my ext/ dir is: "/usr/lib/php5/20060613+lfs"
I untar the downloaded archive in "/usr/lib/php5/20060613+lfs/magickwand"
and try to run phpize
but just says no such command
Can you give some help

PS: here is the phpinfo() of the server
http://constantin-ff.info/phpinfo.php

Thanks!

User avatar
magick
Site Admin
Posts: 11039
Joined: 2003-05-31T11:32:55-07:00

Re: Help with installation

Post by magick » 2009-07-16T06:26:15-07:00

There are tens of packages associated with PHP. You need to download and install the PHP development package that includes the phpsize command.

Constantinff

Re: Help with installation

Post by Constantinff » 2009-07-16T06:42:16-07:00

...so the problem is in the php5 package
and is there any other because i dont want to uninstall already working version and install development package ?

User avatar
magick
Site Admin
Posts: 11039
Joined: 2003-05-31T11:32:55-07:00

Re: Help with installation

Post by magick » 2009-07-16T10:19:46-07:00

Your best path forward would be to post to a PHP forum. We can answer questions here specific to MagickWand for PHP but not about PHP administration.

Post Reply